<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">

    <xsl:template match="/">
        <html>
            <head>
                <title>Balisage Example 1</title>
            </head>
            <body>
                <h1>Balisage Example 1: Mondial</h1>
                <div style="position:absolute;top:0; left:0;background-color:green">
                    <xsl:apply-templates/>
                </div>
            </body>
        </html>
    </xsl:template>

    <xsl:template match="text()"/>

    <xsl:template match="city[@latitude and @longitude and @country='f0_213']">
        <div
            style="position:absolute;
                   top:{4000-number(tokenize(@latitude, '\s+')[1])*50}; 
                   left:{500+number(tokenize(@longitude,'\s+')[1])*50};
                   font-size:{((number(population))div 1800)}%;">
            <xsl:value-of select="normalize-space(name[1])"/>
        </div>
    </xsl:template>

</xsl:stylesheet>
